Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.soap.encoding.literalxml
Class XMLParameterSerializer

    java.lang.Object
      |
      +--org.apache.soap.encoding.literalxml.XMLParameterSerializer

All Implemented Interfaces:
  Deserializer, Serializer

public class XMLParameterSerializer
extends java.lang.Object
implements Serializer, Deserializer

An `XMLParameterSerializer` is used to serialize and deserialize parameters using the `literal xml` encoding style. This class is only capable of serializing/deserializing parameters of type `org.w3c.dom.Element`.

Constructor Summary
`XMLParameterSerializer()`

Method Summary
`void` | `marshall(java.lang.String inScopeEncStyle, java.lang.Class javaType, java.lang.Object src, java.lang.Object context, java.io.Writer sink, NSStack nsStack, XMLJavaMappingRegistry xjmr, SOAPContext ctx)`
`Bean` | `unmarshall(java.lang.String inScopeEncStyle, QName elementType, Node src, XMLJavaMappingRegistry xjmr, SOAPContext ctx)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLParameterSerializer

    public XMLParameterSerializer()

Method Detail

### marshall

    public void marshall(java.lang.String inScopeEncStyle,
                         java.lang.Class javaType,
                         java.lang.Object src,
                         java.lang.Object context,
                         java.io.Writer sink,
    NSStack nsStack,
    XMLJavaMappingRegistry xjmr,
    SOAPContext ctx)
                  throws java.lang.IllegalArgumentException,
                         java.io.IOException

  Specified by:
    `marshall` in interface `Serializer`
    `java.lang.IllegalArgumentException`
    `java.io.IOException`

### unmarshall

    public Bean unmarshall(java.lang.String inScopeEncStyle,
    QName elementType,
    Node src,
    XMLJavaMappingRegistry xjmr,
    SOAPContext ctx)
                    throws java.lang.IllegalArgumentException

  Specified by:
    `unmarshall` in interface `Deserializer`
    `java.lang.IllegalArgumentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 The Apache Software Foundation. All rights reserved.